// List of incompatable weaponsets: ALL that use ammo and reloading.
// Tier-Tacticool
// ^ Any weaponset that uses this as a base
// Zloff's guns (I think)

// Engage Support Codes
exec("./Support_RaycastingWeapons.cs");
exec("./Support_AmmoRedux.cs");
exec("./Support_VariableDamage.cs");
exec("./Support_DynamicRecoil.cs");
exec("./Support_AltDatablock.cs");
exec("./Support_Bipods.cs");

// ================================================================================================================================================================================================
// Varaible Rememberance Helpdesk!
// ================================================================================================================================================================================================
// THE FOLLOWING ARE LOCAL VARAIBLES ON VARIOUS THINGS.
// %obj.clipAmmo[%im] is the ammo stored for a given weapon. %im is the weapon's image.
// %obj.gunAmmo[%im] OR %obj.gunAmmo["SPECIFIC AMMO NAME HERE"] is used for leftover ammo stores.
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
// THE FOLLOWING ARE VARAIBLES FOR YOUR ITEM DATABLOCKS.
// RYG_Reloads = 1;		// This weapon can reload!
// RYG_ClipSize = 30;	// Max clip size for this weapon.
// RYG_MaxAmmo = 90;    // Max ammo for this item.
// RYG_AmmoType = "TN"; // Replaces the MaxAmmo var, and requires a global pref for this ammotype for max.
// GLOBAL VAR SHOULD LOOK LIKE THIS: $RYGMaxAmmo["TN"] = ;
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
// THE FOLLOWNIG ARE VARAIBLES FOR YOUR IMAGE DATABLOCKS.
// (If your weapon literally uses ANY of these vars, this value is required!)
// RYG_Support = 1;			// Should any of the following varaibles even be used. Lol.
//
// Basic Recoil information
// RYG_Accuracy = 0.0001;	// First bullet's accuracy.
// RYG_RecoilAdd = 0.0005;	// Amount of spread added per shot under time.
// RYG_RecoilSub = 0.001;	// Amount of spread reduced when gun has stopped spam firing.
// RYG_RecoilTick = 300;	// Delay between each shot required for the recoil to be reduced.
// RYG_MovementPer = 200;	// Percent of recoil generated due to movement. (If currenlty moving)
// RYG_CrouchPer = 50;      // Percent of recoil generated while player is crouching. Does not stack with bipod. (Bipod has priority)
// RYG_MoveTimeout = 300;   // Delay between last time moving and full recovery from moving.
// RYG_MaxRecoil = 0.005;	// Maximum recoil can reach.
//
// RYG_MaxDmg = 20;			// Max damage, at optimum Range.
// RYG_MinDmg = 10;			// Min damage, at worst range.
// RYG_FalloffMax = 100;	// Range when bullet is at lowest damage. (In TorqueUnits)
// RYG_FalloffMin = 30;		// Range before bullet starts to lose damage. (In TorqueUnits)
// RYG_Headshot = 2;		// Multiplier for head damage.(Because some guns specialize in headshotting)
//
// (Bipods are special, these are for bipod support) NOTE: You can have RYG_Bipod = 1 without using any of the other recoil code, if you simply want to handle bipod checks yourself.
// RYG_Bipod = 0;			// Gives the weapon the ability to utilize a bipod.
// RYG_BipodPer = 50;		// Percent of recoil generated while bipod is mounted.
//
// (This section does not need to be used, it simply helps with those pesky repeat sounds, or if you choose to use the Support_Reloading's methods)
// RYG_BoltSound = "";		// Sound name for bolt pull.
// RYG_ClipInSound = "";	// Clip In Sound Name.
// RYG_ClipOutSound = "";	// Clip Out Sound Name.
// RYG_ExtraSound = "";		// Extra Sound Name.
// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -